package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallSubjectClass;
import com.ruoyi.mall.domain.Vo.SubjectVO;

/**
 * 学科Service接口
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public interface IMallSubjectClassService
{
    /**
     * 查询学科
     *
     * @param subjectId 学科主键
     * @return 学科
     */
    public MallSubjectClass selectMallSubjectClassBySubjectId(Long subjectId);

    /**
     * 查询学科列表
     *
     * @param mallSubjectClass 学科
     * @return 学科集合
     */
    public List<MallSubjectClass> selectMallSubjectClassList(MallSubjectClass mallSubjectClass);

    /**
     * 新增学科
     *
     * @param mallSubjectClass 学科
     * @return 结果
     */
    public int insertMallSubjectClass(MallSubjectClass mallSubjectClass);

    /**
     * 修改学科
     *
     * @param mallSubjectClass 学科
     * @return 结果
     */
    public int updateMallSubjectClass(MallSubjectClass mallSubjectClass);

    /**
     * 批量删除学科
     *
     * @param subjectIds 需要删除的学科主键集合
     * @return 结果
     */
    public int deleteMallSubjectClassBySubjectIds(Long[] subjectIds);

    /**
     * 删除学科信息
     *
     * @param subjectId 学科主键
     * @return 结果
     */
    public int deleteMallSubjectClassBySubjectId(Long subjectId);

    /**
     * 学科列表
     * @return 结果
     */
    public List<SubjectVO> selectSubjectList();
}
